Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 201636 - Review Request: CSpace p2p Instant Messenger
Summary: Review Request: CSpace p2p Instant Messenger
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL: http://www.aabdalla.com/cspace/
Whiteboard:
: 201637 201638 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-08-07 21:07 UTC by thommi
Modified: 2007-11-30 22:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-09 03:58:08 UTC


Attachments (Terms of Use)
cspace-0.1.24-r0.i386.rpm (deleted)
2006-12-24 10:37 UTC, thommi
no flags Details | Diff
cspace-0.1.24.ebuild (deleted)
2006-12-24 10:38 UTC, thommi
no flags Details | Diff
cspace-0.1.24.tar.gz (deleted)
2006-12-24 10:39 UTC, thommi
no flags Details | Diff
ncrypt-0.6.4-r0.i386.rpm (deleted)
2006-12-24 10:40 UTC, thommi
no flags Details | Diff

Description thommi 2006-08-07 21:07:51 UTC
Spec URL: <http://cspace.in>
SRPM URL: <http://www.aabdalla.com/cspace/releases/cspace-0.1.24-r0.i386.rpm>
Description: <CSpace is a p2p serverless Instant Messenger which is now available in LINUX as well. This app should be requested to be added to the Redhat Linux distribution in an extra package. See the homepage and follow the Linux Link to find the elaborated description. http://cspace.in and http://www.aabdalla.com/cspace/ >

Comment 1 Patrice Dumas 2006-08-08 14:21:08 UTC
*** Bug 201637 has been marked as a duplicate of this bug. ***

Comment 2 Patrice Dumas 2006-08-08 14:21:13 UTC
*** Bug 201638 has been marked as a duplicate of this bug. ***

Comment 3 Patrice Dumas 2006-08-08 14:24:41 UTC
Please put an url to your spec file in 
Spec URL:
and an url to the srpm file in 
SRPM URL:

and also provide a description (in general the same than what appears 
in %description in the spec file). 

The enclosing <> are not needed.

If you are unsure, look at other reviews.

Comment 4 thommi 2006-08-08 14:33:42 UTC
Spec URL: http://cspace.in - Windows Homepage
Spec URL: http://www.aabdalla.com/cspace/ - Linux
SRPM URL:http://www.aabdalla.com/cspace/releases/cspace-0.1.24-r0.i386.rpm
Description: CSpace - Secure, decentralized Peer-to-Peer Instant Messenger

Comment 5 Peter Gordon 2006-08-08 14:35:46 UTC
thommi: As far as I can tell, that Spec URL contains no actual .spec file for
the RPM, and the SRPM link points to a binary RPM. Please ensure that you link
us to a full .spec file and a source RPM instead. Thanks.

Comment 6 Chris Weyl 2006-08-12 18:54:04 UTC
I can't find your email as a member of the cvsextras group, so it looks like you
need to be sponsored.  Here are some links to read about becoming sponsored and
contributing to fedora extras:

http://www.fedoraproject.org/wiki/Extras/Contributors
http://www.fedoraproject.org/wiki/Extras/HowToGetSponsored

Comment 7 Aurelien Bompard 2006-11-04 09:36:22 UTC
Any news on this ? Where is the spec file ?

Comment 8 thommi 2006-12-24 10:37:36 UTC
Created attachment 144338 [details]
cspace-0.1.24-r0.i386.rpm

Comment 9 thommi 2006-12-24 10:38:40 UTC
Created attachment 144339 [details]
cspace-0.1.24.ebuild

Comment 10 thommi 2006-12-24 10:39:41 UTC
Created attachment 144340 [details]
cspace-0.1.24.tar.gz

Comment 11 thommi 2006-12-24 10:40:32 UTC
Created attachment 144341 [details]
ncrypt-0.6.4-r0.i386.rpm

Comment 12 thommi 2006-12-24 10:46:23 UTC
files are uploaded, can you add it to the distribution ?
http://www.aabdalla.com/cspace/


Installing the ebuild
NOTE: This requires ncrypt to be installed


Set up a portage overlay:

# mkdir /usr/local/portage

# echo "/usr/local/portage >> /etc/make.conf 

Create portage directories:

# mkdir /usr/local/portage/app-crypt

# mkdir /usr/local/portage/app-crypt/cspace

Download the ebuild (or move it to this directory) 

# cd /usr/local/portage/app-crypt/cspace 

# wget http://www.aabdalla.com/cspace.com/cspace-0.1_alpha.ebuild

Digest the ebuild:

# ebuild cspace-0.1_alpha.ebuild digest

Emerge cspace:

# emerge -av cspace

Run cspace:

# cspace


Comment 13 Dominik 'Rathann' Mierzejewski 2007-01-02 16:43:55 UTC
You seem to be confused. This is not Gentoo, but Fedora. Please post a link to
both the proposed spec file and src.rpm. You'll be able to import the package
yourself after it passes review and after you're sponsored. Have you read the
articles you were pointed to in comment #6 ?


Comment 14 Christian Iseli 2007-01-17 22:56:34 UTC
New packages will land in devel, not FC3

Comment 16 Kevin Fenzi 2007-06-02 03:42:19 UTC
thommi: Do you still wish to submit this package and maintain it in Fedora? 

Perhaps you would like to instead add it to the wishlist for someone to package? 
It seems it also requires the ncrypt package, so you would need to submit that
first. 

I will go ahead and close this in 1 week unless I hear back from you. 

Comment 17 Kevin Fenzi 2007-06-09 03:58:08 UTC
I'm going to go ahead and close this submission now. 

If you decide you want to continue, feel free to reopen it or file a new request.


Note You need to log in before you can comment on or make changes to this bug.